# $Revision: 1.16 $, $Date: 2006/05/21 17:44:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	SRS
Summary:	Mail::SRS - Perl implementation of SRS
Summary(pl):	Mail::SRS - perlowa implementacja SRS
Name:		perl-Mail-SRS
Version:	0.31
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.anarres.org/projects/srs/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1440999563a7b25d5fb03204b03e1060
Source1:	srsd.init
URL:		http://www.anarres.org/projects/srs/
BuildRequires:	perl-DB_File
BuildRequires:	perl-Digest-HMAC
BuildRequires:	perl-MLDBM
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements a library to rewrite sender addresses according
to the SRS rewriting scheme, to let forwarders work in a
sender-authenticated SMTP world.

%description -l pl
Ten modu jest implementacj biblioteki przepisujcej adresy nadawcy
zgodnie ze schematem przepisywania SRS, aby pozwoli przekazujcym
dziaa w wiecie z SMTP z uwierzytelnieniem nadawcy.

%package -n srsd
Summary:	SRS address rewriting daemon
Summary(pl):	Demon przepisujcy adresy SRS
Group:		Networking/Daemons
Requires(post):	/usr/bin/perl
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name} = %{version}-%{release}
Requires:	rc-scripts

%description -n srsd
SRS address rewriting daemon, operating as a local process on
UNIX-domain sockets.

%description -n srsd -l pl
Demon przepisujcy adresy SRS, dziaajcy jako lokalny proces na
gniazdach uniksowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
(echo y; echo y) | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/srsd
touch $RPM_BUILD_ROOT%{_sysconfdir}/srsd.secret
touch $RPM_BUILD_ROOT%{_sysconfdir}/srsd.secret.1

%clean
rm -rf $RPM_BUILD_ROOT

%post -n srsd
if [ ! -f %{_sysconfdir}/srsd.secret ] ; then
	echo "Generating SRS secret..."
	umask 066
	perl -e 'open R,"/dev/urandom"; read R,$r,16;
		printf "%02x",ord(chop $r) while($r);' > %{_sysconfdir}/srsd.secret
fi
/sbin/chkconfig --add srsd
%service srsd restart "SRS daemon"

%preun -n srsd
if [ "$1" = "0" ]; then
	%service srsd stop
	/sbin/chkconfig --del srsd
fi

%files
%defattr(644,root,root,755)
%doc README.pobox eg TODO README
%attr(755,root,root) %{_bindir}/srs
%dir %{perl_vendorlib}/Mail/SRS
%{perl_vendorlib}/Mail/SRS/*.pm
%{perl_vendorlib}/Mail/SRS.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%files -n srsd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/srsd
%attr(754,root,root) /etc/rc.d/init.d/srsd
%attr(600,root,root) %ghost %{_sysconfdir}/srsd.secret
%attr(600,root,root) %ghost %{_sysconfdir}/srsd.secret.1

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-SRS.spec,v $
Revision 1.16  2006/05/21 17:44:11  glen
- rel 2

Revision 1.15  2006/04/20 17:13:24  glen
- fix chkconfig deps

Revision 1.14  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.13  2006/01/09 18:07:56  qboosh
- normalized paths

Revision 1.12  2004/12/01 17:43:48  radek
- autoupdated to 0.31

Revision 1.11  2004/11/30 22:00:05  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.10  2004/11/03 22:30:32  paladine
- formatting

Revision 1.9  2004/11/03 13:05:26  paladine
- spaces->tabs

Revision 1.8  2004/08/04 11:55:06  ankry
- rel. 1

Revision 1.7  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.6  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.5  2004/03/14 17:42:19  adamg
- updated to 0.30

Revision 1.4  2004/03/04 19:41:52  qboosh
- pl

Revision 1.3  2004/03/04 01:48:30  aredridel
- up to 0.29

Revision 1.2  2004/02/24 18:18:55  aredridel
- fix %ghost

Revision 1.1  2004/02/24 18:16:51  aredridel
- added
